function out=subsref(m,s)
%SUBSREF overloads the subscript reference operator
%    
%    

%_MAN_PAGE_BEGIN
%
%   @purpose  overloads the subscript reference operator. 
%
%_MAN_PAGE_END     

%   Copyright (c) 1998 by Antoine Duchateau			
%	$Revision: 0.1$  $Date: 10/06/98 14:46
%
%	All rights reserved

if s(1).type=='.',
	out=get(m,s(1).subs);
end

if (size(s,2)>1),
	out=subsref(out,s(2:end));
end
